View Issue Details

IDProjectCategoryPrivateLast Update
0003177Battlefield 1Progression/UnlocksNo2017-12-04 17:09
Reporterd_bert91 
SeverityMinorReproducibilityAlways 
Status QA InvestigatingResolutionOpen 
PlatformConsoleOSPlaystation 
Product VersionUpdate 12132016 
Fixed in Version 
Summary0003177: Equiping plane skins of a certain type causes all the other planes of that type from different factions to be unequiped
Description

This happens to bombers, attack planes, and fighter planes. I have not seen it happen with ground vehicles. If I equip a skin on a any plane for the British and the next round play as the Germans I will have no skin equipped on that kind of plane. If I equip the skin on the Germans plane, I will have no skin equipped for the any other faction.

Steps To Reproduce

Equip a plane skin of one faction

Actual Result
Expected Result

Relationships

duplicate of 0004770 Closed Plane skins not saving 
duplicate of 0004815 Closed Plane skins reset after every match 
has duplicate 0004710 Closed Plane skins reset 

Activities

Spitfire

2017-02-10 08:23


  ~0003627

More information on whether particular skins cause that (and which ones) would help. On my side, I have observed that with Bumble Bee fighter plane skin.

d_bert91

2017-02-11 21:41

Registered User
  ~0003631

I don't know if it is particular skins or all for sure. I have noticed it has happened on every plane skin I have unlocked though battlepacks and the red baron skin. I believe my skin for the british also unequipped when I changed the loadout of a plane for the german faction.

OCHOBA-SBG

2017-02-13 11:39

Registered User
  ~0003632

Same happened to me. I have the Deluxe version of the game with Red Baron skin for the plane and this also happens to me in the same way.

Someguy12121

2017-11-20 22:17

Registered User
  ~0005677

I see the game not saving the skins regardless of faction and regardless of skin being set. I can play a map with planes on it and change the skins and then never play another map with planes until the next day and the skins will reset even for the same faction.